# API Examples

## User Management

In this section of the documentation, we've provided detailed guides showing examples of common user management actions you can perform using the Admin API. Click on any of the links below to view the corresponding guide:

{% content-ref url="/pages/4jbNYONDGUwXQH7NFmN0" %}
[Search for users](/reference/apis/admin-api/api-examples/search-for-users.md)
{% endcontent-ref %}

{% content-ref url="/pages/vggn7VGRqeorypPIpKHA" %}
[Update user's standard attributes](/reference/apis/admin-api/api-examples/update-users-standard-attributes.md)
{% endcontent-ref %}

{% content-ref url="/pages/li5qA139VebgACS0hvUa" %}
[Update user's picture](/reference/apis/admin-api/api-examples/update-users-picture.md)
{% endcontent-ref %}

{% content-ref url="/pages/0S9z7XG5vraK3ofA8JqO" %}
[Generate OTP code](/reference/apis/admin-api/api-examples/generate-otp-code.md)
{% endcontent-ref %}

Looking for more examples? See our full Admin API GraphQL queries and mutations examples page linked below:

{% content-ref url="/pages/k9OsUIA7hmhGI2gB4Ilq" %}
[API Queries and Mutations](/reference/apis/admin-api/api-queries-and-mutations.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.authgear.com/reference/apis/admin-api/api-examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
